class WorkerStub {
    constructor(stringUrl) {
        this.url = stringUrl;
        this.onmessage = (_arg) => { };
    }
    postMessage(msg) {
        this.onmessage(msg);
    }
    addEventListener() { }
}
export function mockWorkerAndXMLHttpRequest() {
    window.XMLHttpRequest = jest.fn();
    window.Worker = WorkerStub;
}
export const trackSubscription = {
    partnerAction: 'track',
    name: 'Track',
    enabled: true,
    subscribe: 'type = "track"',
    mapping: {
        name: {
            '@path': '$.name'
        },
        properties: {
            '@path': '$.properties'
        }
    }
};
export const identifySubscription = {
    partnerAction: 'identify',
    name: 'Identify',
    enabled: true,
    subscribe: 'type = "identify"',
    mapping: {
        userId: {
            '@path': '$.userId'
        },
        traits: {
            '@path': '$.traits'
        }
    }
};
export const subscriptions = [trackSubscription, identifySubscription];
//# sourceMappingURL=test_utilities.js.map